Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 55)
@@ -2719,13 +2719,13 @@
 
                 // データ表示
                 int ino = 1;
-                long lTotal01 = 0;
-                long lTotal02 = 0;
-                long lDep01 = 0;
-                long lDep02 = 0;
-                long lDep03 = 0;
-                long lDep04 = 0;
-                long lDep05 = 0;
+                //long lTotal01 = 0;
+                //long lTotal02 = 0;
+                //long lDep01 = 0;
+                //long lDep02 = 0;
+                //long lDep03 = 0;
+                //long lDep04 = 0;
+                //long lDep05 = 0;
                 List<string> Details = new List<string>();
 
                 // 期数をセットする
@@ -2834,35 +2834,35 @@
                     // 選択期数以外は集計しない
                     if (numUDConstPro.Value != wrkRec.ConstructionPeriod) continue;
 
-                    // 金額を計算する
-                    if (constructorname.Equals(CommonDefine.s_UndecidedString))
-                    {
-                        lTotal01 += (long)wrkRec.OrdersDecisionPrice;
-                    }
-                    else
-                    {
-                        lTotal02 += (long)wrkRec.OrdersDecisionPrice;
-                        if (iDepartmentCode == s_ConstructionProjectsTotalCode1)
-                        {          // 山本組
-                            lDep01 += (long)wrkRec.OrdersDecisionPrice;
-                        }
-                        else if (iDepartmentCode == s_ConstructionProjectsTotalCode2)
-                        {          // 工事部
-                            lDep02 += (long)wrkRec.OrdersDecisionPrice;
-                        }
-                        else if (iDepartmentCode == s_ConstructionProjectsTotalCode3)
-                        {          // 営繕部
-                            lDep03 += (long)wrkRec.OrdersDecisionPrice;
-                        }
-                        else if (iDepartmentCode == s_ConstructionProjectsTotalCode4)
-                        {          // 営業
-                            lDep04 += (long)wrkRec.OrdersDecisionPrice;
-                        }
-                        else if (iDepartmentCode == s_ConstructionProjectsTotalCode5)
-                        {          // 企画・設計・リフォーム部
-                            lDep05 += (long)wrkRec.OrdersDecisionPrice;
-                        }
-                    }
+                    //// 金額を計算する
+                    //if (constructorname.Equals(CommonDefine.s_UndecidedString))
+                    //{
+                    //    lTotal01 += (long)wrkRec.OrdersDecisionPrice;
+                    //}
+                    //else
+                    //{
+                    //    lTotal02 += (long)wrkRec.OrdersDecisionPrice;
+                    //    if (iDepartmentCode == s_ConstructionProjectsTotalCode1)
+                    //    {          // 山本組
+                    //        lDep01 += (long)wrkRec.OrdersDecisionPrice;
+                    //    }
+                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode2)
+                    //    {          // 工事部
+                    //        lDep02 += (long)wrkRec.OrdersDecisionPrice;
+                    //    }
+                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode3)
+                    //    {          // 営繕部
+                    //        lDep03 += (long)wrkRec.OrdersDecisionPrice;
+                    //    }
+                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode4)
+                    //    {          // 営業
+                    //        lDep04 += (long)wrkRec.OrdersDecisionPrice;
+                    //    }
+                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode5)
+                    //    {          // 企画・設計・リフォーム部
+                    //        lDep05 += (long)wrkRec.OrdersDecisionPrice;
+                    //    }
+                    //}
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
                 dgv.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
@@ -2869,46 +2869,49 @@
                 dgv.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
                 dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
+                // 部署・合計金額追加
+                ConstructionTotalCalc();
+
                 // ProgressBarの値を変更する
                 ProgressConstructionProjects.Value = ProgressConstructionProjects.Maximum;
                 ProgressConstructionProjects.Update();
                 ProgressConstructionProjects.Visible = false;
 
-                // 金額表示
-                lblTotal01.Text = @"\" + lTotal01.ToString("#,0") + "-";
-                lblTotal02.Text = @"\" + lTotal02.ToString("#,0") + "-";
-                lblTotal03.Text = @"\" + (lTotal01 + lTotal02).ToString("#,0") + "-";
-                lblDepTotal01.Text = @"\" + lDep01.ToString("#,0") + "-";
-                lblDepTotal02.Text = @"\" + lDep02.ToString("#,0") + "-";
-                lblDepTotal03.Text = @"\" + lDep03.ToString("#,0") + "-";
-                lblDepTotal04.Text = @"\" + lDep04.ToString("#,0") + "-";
-                lblDepTotal05.Text = @"\" + lDep05.ToString("#,0") + "-";
+                //// 金額表示
+                //lblTotal01.Text = @"\" + lTotal01.ToString("#,0") + "-";
+                //lblTotal02.Text = @"\" + lTotal02.ToString("#,0") + "-";
+                //lblTotal03.Text = @"\" + (lTotal01 + lTotal02).ToString("#,0") + "-";
+                //lblDepTotal01.Text = @"\" + lDep01.ToString("#,0") + "-";
+                //lblDepTotal02.Text = @"\" + lDep02.ToString("#,0") + "-";
+                //lblDepTotal03.Text = @"\" + lDep03.ToString("#,0") + "-";
+                //lblDepTotal04.Text = @"\" + lDep04.ToString("#,0") + "-";
+                //lblDepTotal05.Text = @"\" + lDep05.ToString("#,0") + "-";
 
-                // 部署名表示
-                string strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode1);
-                List<DepartmentMaster> dmList0 = new List<DepartmentMaster>();
-                if (dmDB.SelectAction(strDepSQL, ref dmList0))
-                    if (dmList0.Count != 0) lblDep01.Text = dmList0[0].DepartmentString;
+                //// 部署名表示
+                //string strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode1);
+                //List<DepartmentMaster> dmList0 = new List<DepartmentMaster>();
+                //if (dmDB.SelectAction(strDepSQL, ref dmList0))
+                //    if (dmList0.Count != 0) lblDep01.Text = dmList0[0].DepartmentString;
 
-                List<DepartmentMaster> dmList1 = new List<DepartmentMaster>();
-                strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode2);
-                if (dmDB.SelectAction(strDepSQL, ref dmList1))
-                    if (dmList1.Count != 0) lblDep02.Text = dmList1[0].DepartmentString;
+                //List<DepartmentMaster> dmList1 = new List<DepartmentMaster>();
+                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode2);
+                //if (dmDB.SelectAction(strDepSQL, ref dmList1))
+                //    if (dmList1.Count != 0) lblDep02.Text = dmList1[0].DepartmentString;
 
-                List<DepartmentMaster> dmList2 = new List<DepartmentMaster>();
-                strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode3);
-                if (dmDB.SelectAction(strDepSQL, ref dmList2))
-                    if (dmList2.Count != 0) lblDep03.Text = dmList2[0].DepartmentString;
+                //List<DepartmentMaster> dmList2 = new List<DepartmentMaster>();
+                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode3);
+                //if (dmDB.SelectAction(strDepSQL, ref dmList2))
+                //    if (dmList2.Count != 0) lblDep03.Text = dmList2[0].DepartmentString;
 
-                List<DepartmentMaster> dmList3 = new List<DepartmentMaster>();
-                strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode4);
-                if (dmDB.SelectAction(strDepSQL, ref dmList3))
-                    if (dmList3.Count != 0) lblDep04.Text = dmList3[0].DepartmentString;
+                //List<DepartmentMaster> dmList3 = new List<DepartmentMaster>();
+                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode4);
+                //if (dmDB.SelectAction(strDepSQL, ref dmList3))
+                //    if (dmList3.Count != 0) lblDep04.Text = dmList3[0].DepartmentString;
 
-                List<DepartmentMaster> dmList4 = new List<DepartmentMaster>();
-                strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode5);
-                if (dmDB.SelectAction(strDepSQL, ref dmList4))
-                    if (dmList4.Count != 0) lblDep05.Text = dmList4[0].DepartmentString;
+                //List<DepartmentMaster> dmList4 = new List<DepartmentMaster>();
+                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode5);
+                //if (dmDB.SelectAction(strDepSQL, ref dmList4))
+                //    if (dmList4.Count != 0) lblDep05.Text = dmList4[0].DepartmentString;
             }
             catch (Exception ex)
             {
@@ -2987,81 +2990,106 @@
         private void ConstructionTotalCalc()
         {
             IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            DataGridView dgv = dgvOrderTotal;
             try
             {
+                dgv.Rows.Clear();
                 long lTotal01 = 0;
                 long lTotal02 = 0;
-                long lDep01 = 0;
-                long lDep02 = 0;
-                long lDep03 = 0;
-                long lDep04 = 0;
-                long lDep05 = 0;
 
-                string strSQL = "SELECT";
-                strSQL += " B.DEPARTMENTCODE,";
-                strSQL += " C.DEPARTMENTSTRING,";
-                strSQL += " SUM(A.ORDERSDECISIONPRICE),";
-                strSQL += " C.DISPLAYORDER";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A, PERSONINCHARGEMASTER B, DEPARTMENTMASTER C";
-                strSQL += CreateConstructionProjectsSQL();
-                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
-                strSQL += " AND A.CONSTRUCTIONPERSONCODE = B.PERSONCODE";
-                strSQL += " AND B.DEPARTMENTCODE = C.DEPARTMENTCODE";
-                strSQL += " GROUP BY B.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER";
+                string strSQL = "SELECT C.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER, SUM(A.ORDERSDECISIONPRICE), SUM(D.ORDERSDECISIONPRICE)";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
+                strSQL += " LEFT JOIN DEPARTMENTMASTER C ON C.DEPARTMENTCODE = B.DEPARTMENTCODE";
+                strSQL += " LEFT JOIN  CONSTRUCTIONLEDGER D ON D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
+                strSQL += string.Format(" AND A.JOINFLG != {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
+                strSQL += " AND A.CONSTRUCTIONSTATUSFLG IN (";
+                strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("一般補修工事")).Key);       // 2
+                strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("仮 受 注")).Key);           // 3
+                strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("受　　注")).Key);           // 4
+                strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("部署引継")).Key);           // 5
+                strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工準備")).Key);           // 6
+                strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工開始")).Key);           // 7
+                strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key);           // 8
+                strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("空家補修工事")).Key);       // 16
+                strSQL += string.Format("{0})", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("Hit'sV工事")).Key);         // 17
+
+                strSQL += " GROUP BY C.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER";
                 strSQL += " ORDER BY C.DISPLAYORDER";
                 ArrayList arList = new ArrayList();
                 if (!BaseDB.ExecuteReader(strSQL, ref arList)) return;
+                if (arList.Count == 0) return;
 
-                for (int i = 0; i < arList.Count; i++)
+                int iRowcount = CommonMotions.cnvRoundUp((double)arList.Count / 4.0);
+                dgv.Width = 1008;
+                if (iRowcount > 2) dgv.Width = 1028;
+
+                dgv.Rows.Add(iRowcount);
+                
+                // 表示順
+                // 3:営業部 7:会長室
+                // 8:社長室 1:工事部 2:営繕部 9:企・設・ﾘﾌｫｰﾑ部
+                int DepCode = 0;
+                string DepName = string.Empty;
+                long Price = 0;
+                int RowCnt = -1;
+                int ColCnt = -1;
+                foreach (object[] objRec in arList)
                 {
-                    object[] objwrk = (object[])arList[i];
-                    long OrderPrice = CommonMotions.cnvLong(objwrk[(int)TotalCal.ORDERSDECISIONPRICE]);
-
-                    lTotal02 += OrderPrice;
-                    // 部署ごとに集計
-                    int DepCode = CommonMotions.cnvInt(objwrk[(int)TotalCal.DEPARTMENTCODE]);
+                    RowCnt = -1;
+                    ColCnt = -1;
+                    DepCode = CommonMotions.cnvInt(objRec[0]);
+                    DepName = CommonMotions.cnvString(objRec[1]);
+                    Price = CommonMotions.cnvLong(objRec[3]);
+                    if (Price < CommonMotions.cnvLong(objRec[4])) Price = CommonMotions.cnvLong(objRec[4]);
                     switch (DepCode)
                     {
-                        case s_ConstructionProjectsTotalCode1:
-                            // 山本組
-                            lDep01 += OrderPrice;
+                        case 3:         // 3:営業部
+                            RowCnt = 0;
+                            ColCnt = 0;
                             break;
-                        case s_ConstructionProjectsTotalCode2:
-                            // 工事部
-                            lDep02 += OrderPrice;
+                        case 7:         // 7:会長室
+                            RowCnt = 0;
+                            ColCnt = 2;
                             break;
-                        case s_ConstructionProjectsTotalCode3:
-                            // 営繕部
-                            lDep03 += OrderPrice;
+                        case 8:         // 8:社長室
+                            RowCnt = 1;
+                            ColCnt = 0;
                             break;
-                        case s_ConstructionProjectsTotalCode4:
-                            // 営業
-                            lDep04 += OrderPrice;
+                        case 1:         // 1:工事部
+                            RowCnt = 1;
+                            ColCnt = 2;
                             break;
-                        case s_ConstructionProjectsTotalCode5:
-                            // 企・設・リフォーム部
-                            lDep05 += OrderPrice;
+                        case 2:         // 2:営繕部
+                            RowCnt = 1;
+                            ColCnt = 4;
                             break;
+                        case 9:         // 9:企・設・ﾘﾌｫｰﾑ部
+                            RowCnt = 1;
+                            ColCnt = 6;
+                            break;
                     }
+
+                    lTotal01 += Price; 
+                    if (Price == 0) lTotal01 += CommonMotions.cnvLong(objRec[3]);
+
+                    if (RowCnt == -1 && ColCnt == -1) continue;
+                    lTotal02 += Price;
+                    
+                    // 会長室を表示しない
+                    if (DepCode == 7) continue;
+
+                    dgv.Rows[RowCnt].Cells[ColCnt].Value = DepName;
+                    dgv.Rows[RowCnt].Cells[ColCnt].Style.BackColor = Color.Aqua;
+                    dgv.Rows[RowCnt].Cells[ColCnt + 1].Value = Price.ToString("#,0") + "-";
                 }
-                strSQL = "SELECT SUM(A.ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO A";
-                strSQL += CreateConstructionProjectsSQL();
-                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
-                strSQL += " AND A.CONSTRUCTIONPERSONCODE = 0";
-                ArrayList UnknownList = new ArrayList();
-                if (!BaseDB.ExecuteReader(strSQL, ref UnknownList)) return;
-                object[] objKnown = (object[])UnknownList[0];
-                lTotal01 = CommonMotions.cnvLong(objKnown[0]);
-
                 // 金額表示
-                lblTotal01.Text = @"\" + lTotal01.ToString("#,0") + "-";
+                lblTotal01.Text = @"\" + (lTotal01 - lTotal02).ToString("#,0") + "-";
                 lblTotal02.Text = @"\" + lTotal02.ToString("#,0") + "-";
-                lblTotal03.Text = @"\" + (lTotal01 + lTotal02).ToString("#,0") + "-";
-                lblDepTotal01.Text = @"\" + lDep01.ToString("#,0") + "-";
-                lblDepTotal02.Text = @"\" + lDep02.ToString("#,0") + "-";
-                lblDepTotal03.Text = @"\" + lDep03.ToString("#,0") + "-";
-                lblDepTotal04.Text = @"\" + lDep04.ToString("#,0") + "-";
-                lblDepTotal05.Text = @"\" + lDep05.ToString("#,0") + "-";
+                lblTotal03.Text = @"\" + lTotal01.ToString("#,0") + "-";
+
             }
             catch (Exception ex)
             {
@@ -3070,6 +3098,7 @@
             finally
             {
                 BaseDB.close(); BaseDB = null;
+                if (dgv.RowCount < 2) dgv.RowCount += (2 - dgv.RowCount);
             }
         }
         #endregion
@@ -3382,100 +3411,7 @@
         }
         #endregion
 
-        #region 増減工事状況一覧合計金額計算表示
-        /// <summary>
-        /// 増減工事状況一覧合計金額計算表示
-        /// </summary>
-        private void FluctuationTotalCalc()
-        {
-            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
-            try
-            {
-                long lTotal01 = 0;
-                long lTotal02 = 0;
-                long lDep01 = 0;
-                long lDep02 = 0;
-                long lDep03 = 0;
-                long lDep04 = 0;
-                long lDep05 = 0;
-
-                string strSQL = "SELECT";
-                strSQL += " B.DEPARTMENTCODE,";
-                strSQL += " C.DEPARTMENTSTRING,";
-                strSQL += " SUM(A.ORDERSDECISIONPRICE),";
-                strSQL += " C.DISPLAYORDER";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A, PERSONINCHARGEMASTER B, DEPARTMENTMASTER C";
-                strSQL += CreateFluctuationProjectsSQL();
-                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
-                strSQL += " AND A.CONSTRUCTIONPERSONCODE = B.PERSONCODE";
-                strSQL += " AND B.DEPARTMENTCODE = C.DEPARTMENTCODE";
-                strSQL += " GROUP BY B.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER";
-                strSQL += " ORDER BY C.DISPLAYORDER";
-                ArrayList arList = new ArrayList();
-                if (!BaseDB.ExecuteReader(strSQL, ref arList)) return;
-
-                for (int i = 0; i < arList.Count; i++)
-                {
-                    object[] objwrk = (object[])arList[i];
-                    long OrderPrice = CommonMotions.cnvLong(objwrk[(int)TotalCal.ORDERSDECISIONPRICE]);
-
-                    lTotal02 += OrderPrice;
-                    // 部署ごとに集計
-                    int DepCode = CommonMotions.cnvInt(objwrk[(int)TotalCal.DEPARTMENTCODE]);
-                    switch (DepCode)
-                    {
-                        case s_ConstructionProjectsTotalCode1:
-                            // 山本組
-                            lDep01 += OrderPrice;
-                            break;
-                        case s_ConstructionProjectsTotalCode2:
-                            // 工事部
-                            lDep02 += OrderPrice;
-                            break;
-                        case s_ConstructionProjectsTotalCode3:
-                            // 営繕部
-                            lDep03 += OrderPrice;
-                            break;
-                        case s_ConstructionProjectsTotalCode4:
-                            // 営業
-                            lDep04 += OrderPrice;
-                            break;
-                        case s_ConstructionProjectsTotalCode5:
-                            // 企・設・リフォーム部
-                            lDep05 += OrderPrice;
-                            break;
-                    }
-                }
-                strSQL = "SELECT SUM(A.ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO A";
-                strSQL += CreateConstructionProjectsSQL();
-                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
-                strSQL += " AND A.CONSTRUCTIONPERSONCODE = 0";
-                ArrayList UnknownList = new ArrayList();
-                if (!BaseDB.ExecuteReader(strSQL, ref UnknownList)) return;
-                object[] objKnown = (object[])UnknownList[0];
-                lTotal01 = CommonMotions.cnvLong(objKnown[0]);
-
-                // 金額表示
-                lblTotal01.Text = @"\" + lTotal01.ToString("#,0") + "-";
-                lblTotal02.Text = @"\" + lTotal02.ToString("#,0") + "-";
-                lblTotal03.Text = @"\" + (lTotal01 + lTotal02).ToString("#,0") + "-";
-                lblDepTotal01.Text = @"\" + lDep01.ToString("#,0") + "-";
-                lblDepTotal02.Text = @"\" + lDep02.ToString("#,0") + "-";
-                lblDepTotal03.Text = @"\" + lDep03.ToString("#,0") + "-";
-                lblDepTotal04.Text = @"\" + lDep04.ToString("#,0") + "-";
-                lblDepTotal05.Text = @"\" + lDep05.ToString("#,0") + "-";
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                BaseDB.close(); BaseDB = null;
-            }
-        }
         #endregion
-        #endregion
 
         #region 非受注案件一覧表示関連
         #region 非受注状況一覧データ並び
@@ -3906,6 +3842,7 @@
         private long[] CalcOrdersDecisionPrice(decimal Period)
         {
             IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+
             int[] Status = new int[] {  CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key,
                                             CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key};
             long[] lArrayRet = new long[Status.Length];
@@ -3913,9 +3850,12 @@
             try
             {
 
-                string strSQL = "SELECT CONSTRUCTIONSTATUSFLG, SUM(ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO";
-                strSQL += string.Format(" WHERE CONSTRUCTIONPERIOD = {0}", Period);
-                strSQL += " AND CONSTRUCTIONSTATUSFLG IN (";
+                string strSQL = "SELECT A.CONSTRUCTIONSTATUSFLG, SUM(A.ORDERSDECISIONPRICE), SUM(B.ORDERSDECISIONPRICE)";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A";
+                strSQL += " LEFT JOIN  CONSTRUCTIONLEDGER B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONPERIOD = {0}", Period);
+                strSQL += string.Format(" AND A.JOINFLG != {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
+                strSQL += " AND A.CONSTRUCTIONSTATUSFLG IN (";
                 for (int i = 0; i < Status.Length; i++)
                 {
                     if (i != 0) strSQL += ",";
@@ -3922,21 +3862,33 @@
                     strSQL += string.Format(" {0}", Status[i]);
                 }
                 strSQL += ")";
-                strSQL += " GROUP BY CONSTRUCTIONSTATUSFLG";
-                strSQL += " ORDER BY CONSTRUCTIONSTATUSFLG";
+                strSQL += " GROUP BY A.CONSTRUCTIONSTATUSFLG";
+                strSQL += " ORDER BY A.CONSTRUCTIONSTATUSFLG";
 
                 ArrayList arryList = new ArrayList();
                 if (!BaseDB.ExecuteReader(strSQL, ref arryList)) return lArrayRet;
                 if (arryList.Count == 0) return lArrayRet;
+
+                long work1 = 0;
+                long work2 = 0;
                 foreach (object[] getObj in arryList)
                 {
+                    work1 = CommonMotions.cnvLong(getObj[1]);
+                    work2 = CommonMotions.cnvLong(getObj[2]);
+
                     if (CommonMotions.cnvInt(getObj[0]) == Status[0])
                     {
-                        lArrayRet[0] = CommonMotions.cnvLong(getObj[1]);
+                        if (Period < 16)
+                            lArrayRet[0] = work1;
+                        else
+                            lArrayRet[0] = work2;
                     }
                     else
                     {
-                        lArrayRet[1] = CommonMotions.cnvLong(getObj[1]);
+                        if (Period < 16)
+                            lArrayRet[1] = work1;
+                        else
+                            lArrayRet[1] = work2;
                     }
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 55)
@@ -127,6 +127,7 @@
     <Compile Include="Common\CommonDefine.cs" />
     <Compile Include="Common\Office\UsedWord.cs" />
     <Compile Include="DataModel\AttendanceData.cs" />
+    <Compile Include="DataModel\CostomerRegist.cs" />
     <Compile Include="DataModel\PersonApproval.cs" />
     <Compile Include="DataModel\PersonApprovalCommnet .cs" />
     <Compile Include="DataModel\ProcessApprovalCommnet.cs" />
@@ -163,6 +164,7 @@
     <Compile Include="DataModel\SuppliersMaster.cs" />
     <Compile Include="DataModel\SecurityMaster.cs" />
     <Compile Include="DB\IOAccess\IOAttendanceData.cs" />
+    <Compile Include="DB\IOAccess\IOCostomerRegist.cs" />
     <Compile Include="DB\IOAccess\IOPersonApproval.cs" />
     <Compile Include="DB\IOAccess\IOPersonApprovalCommnet.cs" />
     <Compile Include="DB\IOAccess\IOProcessApprovalCommnet.cs" />
@@ -205,6 +207,30 @@
     <Compile Include="Forms\DataEntry\ConstructionSplit\FrmConstructionSplitAuxiliary.cs">
       <SubType>Form</SubType>
     </Compile>
+    <Compile Include="Forms\DataEntry\CostomerRegist\FrmCostomerRegistListAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\CostomerRegist\FrmCostomerRegistList.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\CostomerRegist\FrmCostomerRegistList.designer.cs">
+      <DependentUpon>FrmCostomerRegistList.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\CostomerRegist\FrmCostomerRegistAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\CostomerRegist\FrmCostomerRegist.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\CostomerRegist\FrmCostomerRegist.designer.cs">
+      <DependentUpon>FrmCostomerRegist.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\CostomerRegist\PrintCommon.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\CostomerRegist\PrintFormat.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\DepExpenssList\FrmDepExpenssList.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -501,6 +527,12 @@
     <Compile Include="Forms\SubForms\FrmInputComment.designer.cs">
       <DependentUpon>FrmInputComment.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\SubForms\FrmPrintInfomation.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmPrintInfomation.Designer.cs">
+      <DependentUpon>FrmPrintInfomation.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\SubForms\FrmVehicleSelector.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -1029,6 +1061,12 @@
     <EmbeddedResource Include="Forms\DataEntry\ConstructionJoin\FrmJoinSelect.resx">
       <DependentUpon>FrmJoinSelect.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\CostomerRegist\FrmCostomerRegistList.resx">
+      <DependentUpon>FrmCostomerRegistList.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\CostomerRegist\FrmCostomerRegist.resx">
+      <DependentUpon>FrmCostomerRegist.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\DepExpenssList\FrmDepExpenssList.resx">
       <DependentUpon>FrmDepExpenssList.cs</DependentUpon>
     </EmbeddedResource>
@@ -1089,6 +1127,9 @@
     <EmbeddedResource Include="Forms\SubForms\FrmInputComment.resx">
       <DependentUpon>FrmInputComment.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\FrmPrintInfomation.resx">
+      <DependentUpon>FrmPrintInfomation.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\SubForms\FrmVehicleSelector.resx">
       <DependentUpon>FrmVehicleSelector.cs</DependentUpon>
     </EmbeddedResource>
Index: trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 55)
@@ -33,6 +33,6 @@
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("0.0.0.0")]
-[assembly: AssemblyFileVersion("0.9.9.11")]
+[assembly: AssemblyFileVersion("0.9.9.14")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
